%if 0%{?rhel} && 0%{?rhel} <= 7
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif
# EPEL7 is missing deps for python3
%if 0%{?fedora}
%global with_python3 1
%endif

%global srcname pytest-pep8

Name:           python-%{srcname}
Version:        1.0.6
Release:        9%{?dist}
Summary:        Pytest plugin to check PEP8 requirements

License:        MIT
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://pypi.python.org/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz
Patch0:         https://bitbucket.org/pytest-dev/pytest-pep8/commits/485cc05458ac180b5aa296ed149bbeb2ef69f3c5/raw/#/485cc05458.patch
# https://bitbucket.org/pytest-dev/pytest-pep8/issues/8/test-failure
# https://bitbucket.org/pytest-dev/pytest-pep8/issues/10/test-failure-pytest-28-regression
Patch1:         remove-offending-tests.patch

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-pep8
BuildRequires:  pytest >= 2.4.2
BuildRequires:  python-pytest-cache

%if 0%{?with_python3}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-pep8
BuildRequires:  python%{python3_pkgversion}-pytest >= 2.4.2
BuildRequires:  python%{python3_pkgversion}-pytest-cache
%endif

%description
Pytest plugin to check PEP8 requirements.


%package -n python2-%{srcname}
Summary:        Pytest plugin to check PEP8 requirements
Requires:       python-pep8
Requires:       pytest >= 2.4.2
Requires:       python-pytest-cache
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
Pytest plugin to check PEP8 requirements.


%if 0%{?with_python3}
%package -n python%{python3_pkgversion}-%{srcname}
Summary:        Pytest plugin to check PEP8 requirements
Requires:       python%{python3_pkgversion}-pep8
Requires:       python%{python3_pkgversion}-pytest >= 2.4.2
Requires:       python%{python3_pkgversion}-pytest-cache
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

%description -n python%{python3_pkgversion}-%{srcname}
Pytest plugin to check PEP8 requirements.
%endif # with_python3


%prep
%autosetup -n %{srcname}-%{version} -p1
rm -rf *.egg-info


%build
%{py2_build}
%if 0%{?with_python3}
%{py3_build}
%endif


%install
%if 0%{?with_python3}
%{py3_install}
%endif # with_python3
%{py2_install}


%check
PYTHONPATH=$(pwd) LC_ALL="en_US.UTF-8" \
  py.test -r s .

%if 0%{?with_python3}
PYTHONPATH=$(pwd) LC_ALL="en_US.UTF-8" \
  py.test-%{python3_version} -r s .
%endif # with_python3

 
%files -n python2-%{srcname}
%license LICENSE
%doc CHANGELOG README.txt
%{python2_sitelib}/*

%if 0%{?with_python3}
%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%doc CHANGELOG README.txt
%{python3_sitelib}/pytest_pep8.py
%{python3_sitelib}/pytest_pep8*.egg-info/
%{python3_sitelib}/__pycache__/*
%endif # with_python3


%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.0.6-8
- Rebuild for Python 3.6
- Disable another failing test upstream doesn't seem to care about

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.6-7
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Mon May 23 2016 Orion Poplawski <orion@cora.nwra.com> - 1.0.6-6
- Fix build for EPEL7

* Tue Feb 2 2016 Orion Poplawski <orion@cora.nwra.com> - 1.0.6-5
- Modernize spec
- Fix python3 package file ownership

* Tue Nov 24 2015 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.6-4
- Add patch for one failing test and disable another

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.6-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 16 2014 Orion Poplawski <orion@cora.nwra.com> - 1.0.6-1
- Update to 1.0.6
- Really run tests

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon May 19 2014 Bohuslav Kabrda <bkabrda@redhat.com> - 1.0.5-4
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Thu Mar 27 2014 Orion Poplawski <orion@cora.nwra.com> - 1.0.5-3
- Add explicit version requirements for pytest

* Mon Mar 24 2014 Orion Poplawski <orion@cora.nwra.com> - 1.0.5-2
- Capitalize summary/description

* Tue Feb 25 2014 Orion Poplawski <orion@cora.nwra.com> - 1.0.5-1
- Initial package
